Update
curl --request PATCH \
--url https://api.sortx.co.uk/properties/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"line1": "<string>",
"line2": "<string>",
"town": "<string>",
"postcode": "<string>",
"uprn": "<string>",
"landlordContactId": "<string>",
"landlordCompanyId": "<string>",
"blockId": "<string>",
"estateId": "<string>",
"beds": 0,
"feePercent": 123
}
'const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
line1: '<string>',
line2: '<string>',
town: '<string>',
postcode: '<string>',
uprn: '<string>',
landlordContactId: '<string>',
landlordCompanyId: '<string>',
blockId: '<string>',
estateId: '<string>',
beds: 0,
feePercent: 123
})
};
fetch('https://api.sortx.co.uk/properties/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/properties/{id}"
payload = {
"line1": "<string>",
"line2": "<string>",
"town": "<string>",
"postcode": "<string>",
"uprn": "<string>",
"landlordContactId": "<string>",
"landlordCompanyId": "<string>",
"blockId": "<string>",
"estateId": "<string>",
"beds": 0,
"feePercent": 123
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"line1": "<string>",
"line2": "<string>",
"town": "<string>",
"postcode": "<string>",
"uprn": "<string>",
"landlordContactId": "<string>",
"landlordCompanyId": "<string>",
"type": "flat",
"beds": 0,
"furnishing": "unfurnished",
"status": "available",
"serviceLevel": "let_only",
"feePercent": 123,
"blockId": "<string>",
"estateId": "<string>",
"archivedAt": "<string>",
"createdAt": "<string>",
"units": [
{
"id": "<string>",
"propertyId": "<string>",
"label": "<string>"
}
]
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}properties
Update
Update a property
PATCH
/
properties
/
{id}
Update
curl --request PATCH \
--url https://api.sortx.co.uk/properties/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"line1": "<string>",
"line2": "<string>",
"town": "<string>",
"postcode": "<string>",
"uprn": "<string>",
"landlordContactId": "<string>",
"landlordCompanyId": "<string>",
"blockId": "<string>",
"estateId": "<string>",
"beds": 0,
"feePercent": 123
}
'const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
line1: '<string>',
line2: '<string>',
town: '<string>',
postcode: '<string>',
uprn: '<string>',
landlordContactId: '<string>',
landlordCompanyId: '<string>',
blockId: '<string>',
estateId: '<string>',
beds: 0,
feePercent: 123
})
};
fetch('https://api.sortx.co.uk/properties/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/properties/{id}"
payload = {
"line1": "<string>",
"line2": "<string>",
"town": "<string>",
"postcode": "<string>",
"uprn": "<string>",
"landlordContactId": "<string>",
"landlordCompanyId": "<string>",
"blockId": "<string>",
"estateId": "<string>",
"beds": 0,
"feePercent": 123
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"line1": "<string>",
"line2": "<string>",
"town": "<string>",
"postcode": "<string>",
"uprn": "<string>",
"landlordContactId": "<string>",
"landlordCompanyId": "<string>",
"type": "flat",
"beds": 0,
"furnishing": "unfurnished",
"status": "available",
"serviceLevel": "let_only",
"feePercent": 123,
"blockId": "<string>",
"estateId": "<string>",
"archivedAt": "<string>",
"createdAt": "<string>",
"units": [
{
"id": "<string>",
"propertyId": "<string>",
"label": "<string>"
}
]
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}Authorizations
A workspace API key (Settings → API keys), scoped to <group>:read / <group>:write.
Path Parameters
Body
application/json
Available options:
flat, house, maisonette, bungalow, studio, hmo, other Required range:
-9007199254740991 <= x <= 9007199254740991Available options:
unfurnished, part_furnished, furnished Available options:
available, under_offer, let, for_sale, sstc, sold, withdrawn Available options:
let_only, rent_collection, fully_managed Response
Success
Available options:
flat, house, maisonette, bungalow, studio, hmo, other Required range:
-9007199254740991 <= x <= 9007199254740991Available options:
unfurnished, part_furnished, furnished Available options:
available, under_offer, let, for_sale, sstc, sold, withdrawn Available options:
let_only, rent_collection, fully_managed Show child attributes
Show child attributes